---
generated: true
---

# EC2Image


## Resource

```text
EC2Image
```



## Settings

- `DisableDeregistrationProtection`
- `IncludeDeprecated`
- `IncludeDisabled`


### DisableDeregistrationProtection

!!! note
    There is currently no description for this setting. Often times settings are fairly self-explanatory. However, we
    are working on adding descriptions for all settings.

```text
DisableDeregistrationProtection
```


### IncludeDeprecated

!!! note
    There is currently no description for this setting. Often times settings are fairly self-explanatory. However, we
    are working on adding descriptions for all settings.

```text
IncludeDeprecated
```


### IncludeDisabled

!!! note
    There is currently no description for this setting. Often times settings are fairly self-explanatory. However, we
    are working on adding descriptions for all settings.

```text
IncludeDisabled
```

